.panel.panel-default{"ng-controller" => "FamilyAnnualIncomeCtrl"}
  .panel-heading{ :style => "border-bottom:1px solid #f0f0f0"}
    %h4.text-primary Family Annual income from all sources
  .panel-body
    .table-responsive
      %table.table
        %thead
          %tr
            %th{:rowspan=>"2", :style=>"text-align:center;"} Source of income
            %th{:rowspan=>"2", :style=>"text-align:center;"}Total Income (₹)
            %th{:rowspan=>"2", :style=>"text-align:center;"} Total Expenditure (₹)
      
        %tbody
          %tr{ "ng-repeat" => "family_annual_income in data_list "}
            %td{:style=>"text-align:center;"} {{ family_annual_income.income_source.name }}
            %td{:style=>"text-align:center;"} {{ family_annual_income.total_income}}
            %td{:style=>"text-align:center;"} {{ family_annual_income.total_expenditure }}
            %td
              %a{ "ng-click" => "edit(family_annual_income.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td
              %a{ "ng-click" => "delete(family_annual_income.id, family_annual_income.url);" } 
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
          %tr#form_family_annual_income
            %td
              %select{"ng-model" => "vm.income_source", "ng-options" => "income_source.name for income_source in income_sources track by income_source.id", :class => "form-control", :placeholder => "Select"}
                %option{:value=>'', :selected => 'selected'} Select
            %td
              = number_field :total_income, '', :class => "form-control", "ng-model" => "vm.total_income"
            %td
              = number_field :total_expenditure, '', :class => "form-control", "ng-model" => "vm.total_expenditure"
              
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel 
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "next()"}
      %i.fa.fa-chevron-right{"aria-hidden"=>"true", :style=>"color:#FFF"}
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "prev()", :style => "margin-right:5px"} 
      %i.fa.fa-chevron-left{"aria-hidden"=>"true", :style=>"color:#FFF"}

